Read a handoff
curl --request GET \
--url https://{space}.{region}.api.niadra.com/v1/handoffs/{handoff_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{space}.{region}.api.niadra.com/v1/handoffs/{handoff_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{space}.{region}.api.niadra.com/v1/handoffs/{handoff_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"handoff_id": "<string>",
"status": "created",
"expected_by": "2023-11-07T05:31:56Z",
"outcome": "<string>",
"package": {
"context": {
"text": "<string>",
"etag": "<string>",
"policy_version": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"from_agent": "<string>",
"handoff_id": "<string>",
"level": "V0",
"target": "<string>",
"commitments_active": [
{
"id": "<string>",
"type": "<string>",
"valid_until": "2023-11-07T05:31:56Z"
}
],
"effects": [
{
"effect_id": "<string>",
"kind": "delivery",
"state": "reserved"
}
],
"open_objects": [
{
"ref": {
"id": "<string>",
"namespace": "<string>",
"type": "<string>"
},
"since": "2023-11-07T05:31:56Z",
"state": "<string>"
}
],
"outcome": {
"expected_by": "2023-11-07T05:31:56Z",
"vocabulary": [
"<string>"
]
},
"owner": {
"epoch": 123,
"holder": "<string>",
"kind": "owner",
"level": "<string>",
"since": "2023-11-07T05:31:56Z",
"source": "<string>",
"valid_until": "2023-11-07T05:31:56Z",
"via": "declaration"
},
"promises_open": [
{
"id": "<string>",
"owner": "<string>",
"due": "2023-11-07T05:31:56Z"
}
],
"reason": "<string>",
"spec": "handoff-package.v0",
"subject": {
"type": "phone_e164",
"value": "<string>",
"scope": "<string>",
"subject_kind": "person"
},
"suppressions": [
"<string>"
]
}
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Coordination
Read a handoff
One handoff and its package.
GET
/
v1
/
handoffs
/
{handoff_id}
Read a handoff
Authorizations
nia_sk_...
Path Parameters
Response
The handoff.
Required string length:
1 - 512Available options:
created, accepted, closed, expired Required string length:
1 - 256What a handoff carries to whoever receives it (the coordination spec, 7).
Show child attributes
Show child attributes

